// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import 'babel-polyfill';
import promise from 'es6-promise';
import Vue from 'vue';
import App from './App';
import router from './router';
import axios from 'axios';
import VueAxios from 'vue-axios';
import store from './store';
import './assets/theme/index.css';

promise.polyfill();

Vue.use(VueAxios, axios);
// import vueGicStoreLinkage from '@gic-test/vue-gic-store-linkage';
// Vue.use(vueGicStoreLinkage);

Vue.axios.defaults.withCredentials = true; // 跨域cookie访问
Vue.config.productionTip = false;
if (process.env.NODE_ENV === 'development') {
  Vue.config.devtools = true;
}

window.ELEMENT.Dialog.props.closeOnClickModal.default = false; // 全局设置点击蒙层不关闭

/* eslint-disable no-new */
/* eslint-disable no-new */
window.getLimit(router, 'integral-mall').then(() => {
  new Vue({
    el: '#app',
    router,
    store,
    components: { App },
    template: '<App/>',
  });
});

// new Vue({
//   el: '#app',
//   router,
//   store,
//   components: { App },
//   template: '<App/>'
// });
